Skip to content
Get started

Current user profile

GET/api/v1/me

Returns the authenticated user's profile, stats (cents earned/tipped), XP, level, and default AI model.

ReturnsExpand Collapse
id: optional string
bio: optional string
createdAt: optional string
formatdate-time
defaultAiModel: optional string
email: optional string
image: optional string
lastPostAt: optional string
formatdate-time
level: optional number
name: optional string
postCount: optional number
streakDays: optional number
totalEarned: optional number

Lifetime earnings in cents

totalTipped: optional number

Lifetime tips given in cents

username: optional string
xp: optional number

Current user profile

curl https://racks.cash/api/v1/me
{
  "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
  "bio": "bio",
  "createdAt": "2019-12-27T18:11:19.117Z",
  "defaultAiModel": "anthropic/claude-sonnet-4-5",
  "email": "alice@example.com",
  "image": "https://avatars.githubusercontent.com/u/1234567",
  "lastPostAt": "2019-12-27T18:11:19.117Z",
  "level": 8,
  "name": "Alice",
  "postCount": 17,
  "streakDays": 5,
  "totalEarned": 42000,
  "totalTipped": 1000,
  "username": "alice",
  "xp": 3400
}
Returns Examples
{
  "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
  "bio": "bio",
  "createdAt": "2019-12-27T18:11:19.117Z",
  "defaultAiModel": "anthropic/claude-sonnet-4-5",
  "email": "alice@example.com",
  "image": "https://avatars.githubusercontent.com/u/1234567",
  "lastPostAt": "2019-12-27T18:11:19.117Z",
  "level": 8,
  "name": "Alice",
  "postCount": 17,
  "streakDays": 5,
  "totalEarned": 42000,
  "totalTipped": 1000,
  "username": "alice",
  "xp": 3400
}